// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.CreateGameSessionResponse}
 */
public  final class CreateGameSessionResponse extends
    com.google.protobuf.GeneratedMessageLite<
        CreateGameSessionResponse, CreateGameSessionResponse.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.CreateGameSessionResponse)
    CreateGameSessionResponseOrBuilder {
  private CreateGameSessionResponse() {
  }
  public static final int GAME_SESSION_FIELD_NUMBER = 1;
  private gg.dsepractice.chinese.v1alpha1.GameSession gameSession_;
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
   */
  @java.lang.Override
  public boolean hasGameSession() {
    return gameSession_ != null;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.GameSession getGameSession() {
    return gameSession_ == null ? gg.dsepractice.chinese.v1alpha1.GameSession.getDefaultInstance() : gameSession_;
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
   */
  private void setGameSession(gg.dsepractice.chinese.v1alpha1.GameSession value) {
    value.getClass();
  gameSession_ = value;
    
    }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeGameSession(gg.dsepractice.chinese.v1alpha1.GameSession value) {
    value.getClass();
  if (gameSession_ != null &&
        gameSession_ != gg.dsepractice.chinese.v1alpha1.GameSession.getDefaultInstance()) {
      gameSession_ =
        gg.dsepractice.chinese.v1alpha1.GameSession.newBuilder(gameSession_).mergeFrom(value).buildPartial();
    } else {
      gameSession_ = value;
    }
    
  }
  /**
   * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
   */
  private void clearGameSession() {  gameSession_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.CreateGameSessionResponse}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.CreateGameSessionResponse)
      gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponseOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    @java.lang.Override
    public boolean hasGameSession() {
      return instance.hasGameSession();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.GameSession getGameSession() {
      return instance.getGameSession();
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    public Builder setGameSession(gg.dsepractice.chinese.v1alpha1.GameSession value) {
      copyOnWrite();
      instance.setGameSession(value);
      return this;
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    public Builder setGameSession(
        gg.dsepractice.chinese.v1alpha1.GameSession.Builder builderForValue) {
      copyOnWrite();
      instance.setGameSession(builderForValue.build());
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    public Builder mergeGameSession(gg.dsepractice.chinese.v1alpha1.GameSession value) {
      copyOnWrite();
      instance.mergeGameSession(value);
      return this;
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.GameSession game_session = 1 [json_name = "gameSession"];</code>
     */
    public Builder clearGameSession() {  copyOnWrite();
      instance.clearGameSession();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.CreateGameSessionResponse)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "gameSession_",
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0001\u0001\u0001\u0000\u0000\u0000\u0001\t";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.CreateGameSessionResponse)
  private static final gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse DEFAULT_INSTANCE;
  static {
    CreateGameSessionResponse defaultInstance = new CreateGameSessionResponse();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      CreateGameSessionResponse.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.CreateGameSessionResponse getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<CreateGameSessionResponse> PARSER;

  public static com.google.protobuf.Parser<CreateGameSessionResponse> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

